Create Prefix List
Creates a new Prefix list on the Provider Gateway.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/prefixLists
COPY
Path Parameters
string
externalNetworkId
Required
externalNetworkId
Request Body
ProviderGatewayPrefixList
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"prefixes": [
{}
]
}
{
"id": "string",
"name": "string",
"description": "string",
"prefixes": [
{
"network": "10.22.0.0/22",
"greaterThanEqualTo": 0,
"lessThanEqualTo": 0,
"action": "string"
}
],
"bgpPermissionGroupRef": {
"id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"accessLevel": "string"
},
"version": {
"version": 0
}
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name:"string","prefixes":[]}' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/prefixLists
Availability
Added in 38.0
On This Page
Provider Gateway Prefix Lists Operations
GET
Get Prefix Lists
POST
Create Prefix List